Skip to main content
PUT
cURL

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

Path Parameters

id
string
required

Body

application/json
events
string[]
Minimum array length: 1
projects
string[]
tags
string[]
environments
string[]
url
string<uri>
name
string
Minimum string length: 2
enabled
boolean
payloadType
enum<string>
Available options:
raw,
json,
slack,
discord
method
enum<string>
Available options:
POST,
PUT,
PATCH
headers
object
timeoutSeconds
integer | null

Request timeout in seconds, up to the server maximum (120 unless configured). Null uses the default.

Required range: x >= 1

Response

Resource updated

eventWebhook
object
required